Logo

Docs

Albums

Get All Albums

Browse albums from the albums endpoint.

Endpoint

GET /albums

Endpoint reference: getAlbums

Use this form when you want to browse albums instead of looking them up by ids, omm_ids, or upc.

Query Parameters

Scoped parameters like view[...] and limit[...] can shape included relationships.

NameValuesRequired
langlocale string like en-USfalse
includeartists, tracksfalse
viewminimalfalse
view[albums]minimalfalse
view[artists]minimalfalse
view[songs]minimalfalse
limit1-25false
offset0+false
sortname, -name, date_released, -date_released, date_added, -date_addedfalse
filter[genres]comma-separated genresfalse
limit[artists]1-25false
limit[tracks]1-25false

Responses

StatusContent TypeResponse
200 OKapplication/jsonAlbumListResponse
400 Bad Requestapplication/jsonErrorResponse

On this page